u_send_request.c File Reference
`#include <u_private.h>`
`#include <ulfius.h>`
`#include <curl/curl.h>`
`#include <ctype.h>`
`#include <stdlib.h>`
`#include <string.h>`
Include dependency graph for u_send_request.c:

## Data Structures

struct | _u_body
struct | _u_smtp_payload
struct | _u_response_header

## Macros

#define | U_ACCEPT_HEADER "Accept-Encoding"

## Functions

int | ulfius_send_http_request (const struct _u_request *request, struct _u_response *response)
int | ulfius_send_http_request_with_limit (const struct _u_request *request, struct _u_response *response, size_t response_body_limit, size_t max_header)
int | ulfius_send_http_streaming_request (const struct _u_request *request, struct _u_response *response, size_t(*write_body_function)(void *contents, size_t size, size_t nmemb, void *user_data), void *write_body_data)
int | ulfius_send_http_streaming_request_max_header (const struct _u_request *request, struct _u_response *response, size_t(*write_body_function)(void *contents, size_t size, size_t nmemb, void *user_data), void *write_body_data, size_t max_header)
int | ulfius_send_smtp_rich_email (const char *host, const int port, const int use_tls, const int verify_certificate, const char *user, const char *password, const char *from, const char *to, const char *cc, const char *bcc, const char *content_type, const char *subject, const char *mail_body)
int | ulfius_send_smtp_email (const char *host, const int port, const int use_tls, const int verify_certificate, const char *user, const char *password, const char *from, const char *to, const char *cc, const char *bcc, const char *subject, const char *mail_body)

## Macro Definition Documentation

## U_ACCEPT_HEADER

#define U_ACCEPT_HEADER "Accept-Encoding"

Ulfius Framework

REST framework library

u_send_request.c: send request related functions defintions

Copyright 2015-2022 Nicolas Mora mail@.nosp@m.babe.nosp@m.loues.nosp@m.t.or.nosp@m.g

This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; version 2.1 of the License.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU GENERAL PUBLIC LICENSE for more details.

You should have received a copy of the GNU General Public License along with this library. If not, see http://www.gnu.org/licenses/. Enables POSIX functions on non-MSVC targets. This is required for gmtime_r() which is not part of the ISO C standard.